THINKFAN(1)

BEZEICHNUNG
thinkfan - Ein einfaches Programm zur Lüftersteuerung

ÜBERSICHT
thinkfan [-hnqzDd] [-b BIAS] [-c KONFIGURATION] [-s SEKUNDEN] [-p [VERZÖGERUNG]]

BESCHREIBUNG
Thinkfan steuert die Lüfterdrehzahl anhand der in /etc/thinkfan.conf voreingestellten Temperaturgrenzen. Es kann aus drei möglichen Quellen lesen:

/proc/acpi/ibm/thermal
    was vom Kernelmodul thinkpad_acpi bereitgestellt wird,

/sys/class/hwmon/*/temp*_input
    was von hwmon-Treibern bereitgestellt wird, und

S.M.A.R.T. (seit 0.9)
    was die Temperatur direkt aus der Festplatte mittels libatasmart ausliest.

Beachten Sie, dass Sie seit Version 0.9 Sensoren aus einer beliebigen Kombination dieser drei Typen gleichzeitig verwenden können. Um das zu ermöglichen, wurden die Schlüsselwörter der Konfiguration geändert. Das Schlüsselwort sensor wurde als veraltet markiert und durch die neuen Schlüsselwörter tp_thermal, hwmon und atasmart ersetzt, welche den folgenden Pfad als eine klassische thinkpad_acpi-Thermaldatei, sysfs-hwmon-Datei beziehungsweise Festplatten-Gerätedatei markieren.

Der Lüfter kann /proc/acpi/ibm/fan oder eine PWM-Datei in /sys/class/hwmon sein. Beachten Sie, dass das Konfigurationsschlüsselwort fan ebenfalls veraltet ist. Stattdessen sollten Sie tp_fan für eine klassische »thinkpad_acpi«-Lüfterdatei oder pwm_fan für eine sysfs-PWM-Datei verwenden.

In der README-Datei und den Beispielkonfigurationen finden Sie Details zu diesen Änderungen.

WARNUNG: Dieses Programm nimmt nur sehr einfache Plausibilitätsprüfungen Ihrer Konfiguration vor. Das bedeutet, dass Sie Ihre Temperaturgrenzen so wahnsinnig einstellen können, wie Sie wollen.

Es sind zwei allgemeine Betriebsmodi verfügbar:

  KOMPLEXER MODUS
Im komplexen Modus werden die Temperaturgrenzwerte für jeden Sensor definiert, der Thinkfan bekannt ist. Die Festlegung geeigneter Grenzwerte für jeden Sensor in Ihrem System wird wahrscheinlich etwas Experimentieren und gute Kenntnisse Ihrer Hardware erfordern, aber es ist der sicherste Weg, jede der Komponenten innerhalb deren sicheren Temperaturbereich zu halten. Siehe http://www.thinkwiki.org/wiki/Thermal_Sensors für Details dazu, welcher Sensor in einem Thinkpad welche Temperatur misst. Auf anderen Systemen müssen Sie das selbst herausfinden. In den Beispielkonfigurationen finden Sie die entsprechende Syntax.

  EINFACHER MODUS
Im einfachen Modus verwendet Thinkfan nur die jeweils höchste im System gefundene Temperatur. Das kann gefährlich sein, zum Beispiel bei Festplatten. Daher sollten Sie einen Korrekturwert für den Sensor festlegen, der die Temperatur Ihrer Festplatte oder Ihres Akkus misst (indem Sie 10-15 Â°C hinzufügen). In den Beispielkonfigurationsdateien finden Sie Beispiele dazu.

KONFIGURATION
Einige Beispielkonfigurationen werden im Quellpaket bereitgestellt. Detaillierte Erläuterungen finden Sie in der Datei README. Wenn Sie Thinkfan aus einem Distributionspaket installiert haben, finden Sie diese unter /usr/share/doc oder wo auch immer Ihr Paketverwalter Dokumentation installiert.

OPTIONEN

-h  zeigt eine kurze Hilfemeldung an

-s SEKUNDEN
    Maximale Anzahl an Sekunden zwischen den Temperaturaktualisierungen (Vorgabe: 5)

-b BIAS
    Gleitkommazahl (-10 bis 30) zum Steuern der Entwicklung der steigenden Temperatur. Wenn die Temperatur in einem Zyklus um mehr als 2 °C steigt, wird diese Zahl zur Ermittlung des Bias verwendet, das zur aktuell am höchsten gemessenen Temperatur im System hinzugefügt wird:

     current_tmax = current_tmax + delta_t * BIAS / 10

    Dies bedeutet, dass negative Zahlen verwendet werden können, um kurze und abrupte Temperaturspitzen einzuebnen, die durch einige On-DIE-Sensoren verursacht werden. Im Modus »DANGEROUS« können Sie die Begrenzung auf -10 bis +30 aufheben. Beachten Sie, dass sich zwischen -b und einem negativen Element kein Leerraum befinden darf, da Getopt dies anderenfalls als Option interpretiert und fehlschlägt (das heißt, Sie schreiben »-b-10« anstelle von »-b -10«).

    Vorgabe ist 15.0

-c DATEI
    lädt eine alternative Konfigurationsdatei (Vorgabe: /etc/thinkfan.conf)

-n  wird nicht zum Hintergrunddienst und schreibt in das Terminal anstatt in das Systemprotokoll

-q  unterdrückt Meldungen (gibt keine Statusinformationen im Terminal aus)

-z  nimmt an, dass das Aufwecken aus einem Energiesparmodus nicht gesondert behandelt werden muss, wenn die sysfs-Schnittstelle verwendet wird (siehe README!)

-p [SEKUNDEN]
    verwendet den »Pulsing Fan Workaround« (Behebung des Problems mit pulsierend beschleunigenden Lüftern bei älteren Thinkpads). Akzeptiert ein optionales Gleitkommazahl-Argument (0-10s) als Dauer der Anwendung. Standardmäßig 0,5 Sekunden.

-d  liest die Temperatur von schlafenden Platten nicht aus. Stattdessen wird 0 °C als Temperatur der Platte angenommen. Dies soll verhindern, dass das Auslesen der Temperatur Ihre Platte unnötig aufweckt. Hinweis: Diese Option ist nur verfügbar, wenn Thinkfan mit »-D USE_ATASMART« erstellt wurde.

-D  Modus »DANGEROUS«: Alle Plausibilitätsprüfungen werden deaktiviert. Ihre Hardware könnte beschädigt werden!

SIGNALE
SIGINT und SIGTERM brechen den Vorgang einfach ab und sollten dazu führen, dass Thinkfan sauber beendet wird.

SIGHUP weist Thinkfan an, seine Konfiguration neu zu laden. Sollte es Probleme mit der neuen Konfiguration geben, wird die alte Konfiguration beibehalten.

SIGUSR1 weist Thinkfan an, alle aktuell bekannten Temperaturen entweder in das Systemprotokoll oder in die Konsole auszugeben. Für die Ausgabe in die Konsole muss die Option -n übergeben werden.

SIEHE AUCH
git://git.code.sf.net/p/thinkfan/code

FEHLER
Wenn Sie irgendwelche Probleme mit Thinkfan haben, besuchen Sie das Forum auf sf.net:
http://sourceforge.net/projects/thinkfan/forums/forum/905019.

Es gibt eine Fehlerdatenbank auf
http://sourceforge.net/tracker/?group_id=249873&atid=2416828.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.